Shorten DNS timeout for primary NIC detection
Pull request: https://github.com/theforeman/foreman/p
Description

In facts parsing code we have a very old code bit that performs DNS reverse query for each IP address until it finds a PTR record

matching the hostname of the host that sent facts. This works for all fact types which do not override the method in its

implementation (e.g. Ansible, possibly others).

During testing today my fact queries were delayed to 75 seconds which turns out to be my OS default value. That is too much, hosts

with many IP addresses can cause huge delays if DNS does not reply fast enough. This can easily overload the application server

with unfinished requests.

I am proposing to shorten the DNS timeout to something sane like 250ms. If it does not return quickly, then the only drawback is that

primary interface might not be detected correctly for unmanaged hosts. Not a big deal.

Associated revisions

Revision 8e28a45d - 02/24/2022 03:38 PM - Lukas Zapletal

Fixes #34462 - shorten DNS timeout for primary detection

Signed-off-by: Lukas Zapletal <lzap+git@redhat.com>

History

#1 - 02/16/2022 01:39 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9108 added

#2 - 02/24/2022 03:38 PM - The Foreman Bot

- Fixed in Releases 3.3.0 added

#3 - 02/24/2022 04:01 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|8e28a45df1afa92adb8dfc81517f8b22a5e1246c.

Powered by TCPDF (www.tcpdf.org)

05/16/2024 1/1

mailto:lzap+git@redhat.com
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/8e28a45df1afa92adb8dfc81517f8b22a5e1246c
http://www.tcpdf.org

